# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "hiera-file"
  s.version = "1.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["adrien@puppetlabs.com"]
  s.date = "2013-05-06"
  s.description = "A data backend for Hiera that can return the content of whole files"
  s.homepage = "http://github.com/adrienthebo/hiera-file"
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "File backend for Hiera"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<hiera>, [">= 1.0.0"])
      s.add_development_dependency(%q<rspec>, ["~> 2.10.0"])
      s.add_development_dependency(%q<mocha>, ["~> 0.10.5"])
    else
      s.add_dependency(%q<hiera>, [">= 1.0.0"])
      s.add_dependency(%q<rspec>, ["~> 2.10.0"])
      s.add_dependency(%q<mocha>, ["~> 0.10.5"])
    end
  else
    s.add_dependency(%q<hiera>, [">= 1.0.0"])
    s.add_dependency(%q<rspec>, ["~> 2.10.0"])
    s.add_dependency(%q<mocha>, ["~> 0.10.5"])
  end
end
